Your IP address is: 54.198.247.44

Haversine Forums -> AirFMC - General Issues and Support

Compatibility: iPhone 6 and later

Posted on May 3, 2016 15:21 by TimRodeo314

The old-gen iPhones have a pretty small display, but the iPhone 6 has a reasonable 4.7" display, it's not ideal but should definitely be usable (and the iPhone 6 Plus even more so).

I bet those of us who either don't have an iPad or don't carry it around with us all the time would love to be able to use AirFMC on our smaller devices; as far as I'm concerned, AirFMC would be an instant purchase the moment it becomes compatible with my iPhone :)

So assuming it's not too much work, consider this a feature request.

Regards,

Tim

Posted on May 9, 2016 09:17 by TimRodeo314

Ping?

Posted on May 9, 2016 09:25 by skyfox

Whoops, sorry, had missed this one.

It would be relatively easy yes, the only problem is that if an app supports the ipHone 6 and 6+ it also has to support the iPhone 5 and even smaller iPhone 4s. And a CDU just doesn't fit in such a small screen... But I'll note it, perhaps with a scroll on those phones ...

joao @ haversine

Posted on May 9, 2016 09:43 by TimRodeo314

You could have a separate iPhone version that requires arm64 (you'd still have to support the 5s and SE, but nothing smaller), and an iPad version without such a requirement (on those devices, 64-bit support has little correlation to display size).

But it may indeed be less of a hassle to have a Universal app with some sort of scrolling for devices with very small displays.

Posted on May 9, 2016 09:44 by skyfox

The problem is that, with Apple, if you support one you have to support them all. You can't upload a binary if it doesn't support them all in some way, even if it's though scaling up or down AFAIK. I could be wrong, will have to check.

Posted on May 9, 2016 09:45 by TimRodeo314

https://developer.apple.com/library/ios/documentation/DeviceInformation/Reference/iOSDeviceCompatibility/DeviceCompatibilityMatrix/DeviceCompatibilityMatrix.html

Posted on May 9, 2016 09:49 by skyfox

Interesting ... I'll give it a look and try something like that...will also need new images for the FMC backgrounds as they are of different resolutions.

Right now the priority will be to send a new version of AirFMC that supports the IXEG 737 which should happen soon, but I'll check that after as I have an iPhone 6 myself and would be nice to have AirFMC on it I agree.

thanks,
joao

Posted on May 12, 2016 22:17 by odda

Love to hear that.
My iPad1 will not work with the upgraded FMC for IXEG 737, may be my iPhone 6+. :)

Posted on May 13, 2016 07:31 by skyfox

Sadly it won't I'm afraid :(

The iPad1 is restricted to iOS 5.1.x max and Apple has made it nearly impossible to develop for iOS 5.1 with its current SDK. There is no easy way anymore to make sure that something runs in 5.1 as X-Code doesn't allow it for testing, has no simulator, etc... Plus some new technologies used in the app require higher iOS versions too.

So the new AirFMC as well as AirTrack are iOS 8 or above only and we'll have to say goodbye to the iPad1 in terms of future support. You'll still be able to use the old versions on it, just not the new things.

---

On the other hand, as suggested, maybe we can make it run on the iPhone 6+

---

AirFMC 1.3.1 just released to the App store is IXEG 737 ready ; there is just a few things missing:

1) A new HS Air Plugin for X-Plane which is nearly ready and will be released shortly

2) An update for the 737 which will be merged and provided by IXEG / X-Aviation in the next available opportunity

It should all happen within a week or two I hope.

joao

Note: You need to be logged in to post in the forums.

© 2017 Haversine Ltd